Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tuple
Interface Instantiator

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  Dom4jInstantiator, DynamicMapInstantiator, PojoInstantiator

    public interface Instantiator

extends Serializable

Contract for implementors responsible for instantiating entity/component instances.

Method Summary
`Object` | `instantiate()` Perform the requested instantiation.
`Object` | `instantiate(Serializable id)` Perform the requested entity instantiation.
`boolean` | `isInstance(Object object)` Performs check to see if the given object is an instance of the entity or component which this Instantiator instantiates.

Method Detail

### instantiate

    Object instantiate(Serializable id)

  Perform the requested entity instantiation.

  This form is never called for component instantiation, only entity instantiation.

  Parameters:
    `id` - The id of the entity to be instantiated.
  Returns:
    An appropriately instantiated entity.

### instantiate

    Object instantiate()

  Perform the requested instantiation.

  Returns:
    The instantiated data structure.

### isInstance

    boolean isInstance(Object object)

  Performs check to see if the given object is an instance of the entity or component which this Instantiator instantiates.

  Parameters:
    `object` - The object to be checked.
  Returns:
    True is the object does represent an instance of the underlying entity/component.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.